# StripTagsFilter Class Reference
[Tools for primitive's filtration]

Inheritance diagram for StripTagsFilter:
[legend]

List of all members.

## Public Member Functions

| setAllowableTags ($exclude)
| apply ($value)

## Static Public Member Functions

static | create ()

## Private Attributes

| $exclude = null

## Detailed Description

See also:
  RegulatedPrimitive::addImportFilter()

Definition at line 17 of file StripTagsFilter.class.php.

## Member Function Documentation

StripTagsFilter::apply | ( | $ | value | ) |

Implements Filtrator.

Definition at line 42 of file StripTagsFilter.class.php.

static StripTagsFilter::create | ( |  | ) | `[static]`

Returns:
  StripTagsFilter

Definition at line 24 of file StripTagsFilter.class.php.

Referenced by Filter::stripTags().

StripTagsFilter::setAllowableTags | ( | $ | exclude | ) |

Returns:
  StripTagsFilter

Definition at line 32 of file StripTagsFilter.class.php.

References $exclude, and Assert::isString().

Here is the call graph for this function:

## Member Data Documentation

StripTagsFilter::$exclude = null`[private]`

Definition at line 19 of file StripTagsFilter.class.php.

Referenced by setAllowableTags().

The documentation for this class was generated from the following file:

- core/Form/Filters/StripTagsFilter.class.php